<?php

namespace Lc\PietroBundle\Controller\Workshop;

use Lc\PietroBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

abstract class WorkshopThematicAdminController extends AbstractAdminController
{
    public function createEntity(string $entityFqcn)
    {
        return $this->getWorkshopThematicContainer()->getFactory()->create();
    }

    public function getRepositoryQuery(): RepositoryQueryInterface
    {
        return $this->getWorkshopThematicContainer()->getRepositoryQuery();
    }

    public function configureFields(string $pageName): iterable
    {
        return $this->getWorkshopThematicContainer()->getFieldDefinition()->getFields($pageName);
    }
}
