<?php

namespace Lc\PietroBundle\Repository\Workshop;

use Knp\Component\Pager\PaginatorInterface;
use Lc\PietroBundle\Model\Workshop\WorkshopThematicInterface;
use Lc\SovBundle\Repository\AbstractRepositoryQuery;

class WorkshopRepositoryQuery extends AbstractRepositoryQuery
{
    public function __construct(WorkshopRepository $repository, PaginatorInterface $paginator)
    {
        parent::__construct($repository, 'workshop', $paginator);
    }

    public function filterByWorkshopThematic(WorkshopThematicInterface $workshopThematic)
    {
        return $this->andWhereEqual('workshopThematic', $workshopThematic);
    }
}
