<?php

namespace Lc\PietroBundle\Doctrine\Extension;

use Lc\PietroBundle\Model\Thematic\ThematicInterface;
use Lc\PietroBundle\Model\Subthematic\SubthematicInterface;
use Doctrine\ORM\Mapping as ORM;

trait DescriptionProjectTrait
{

    /**
     * @ORM\Column(type="text")
     */
    protected $description;

    /**
     * @ORM\ManyToOne(targetEntity="Lc\PietroBundle\Model\Thematic\ThematicInterface")
     */
    protected $thematic;

    /**
     * @ORM\ManyToOne(targetEntity="Lc\PietroBundle\Model\Subthematic\SubthematicInterface")
     */
    protected $subthematic;

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(string $description): self
    {
        $this->description = $description;

        return $this;
    }

    public function getThematic(): ?ThematicInterface
    {
        return $this->thematic;
    }

    public function setThematic(?ThematicInterface $thematic): self
    {
        $this->thematic = $thematic;

        return $this;
    }

    public function getSubthematic(): ?SubthematicInterface
    {
        return $this->subthematic;
    }

    public function setSubthematic(?SubthematicInterface $subthematic): self
    {
        $this->subthematic = $subthematic;

        return $this;
    }

}